Bug 488773

Summary: imsettings-applet takes 10% CPU load after upgrading to libgxim-0.3.2-4.fc10
Product: [Fedora] Fedora Reporter: Joachim Frieben <jfrieben>
Component: imsettingsAssignee: Akira TAGOH <tagoh>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: i18n-bugs, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 488877 (view as bug list) Environment:
Last Closed: 2009-11-24 00:47:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 488877    
Attachments:
Description Flags
X session errors caused by enabling SCIM none

Description Joachim Frieben 2009-03-05 12:50:01 EST
Created attachment 334166 [details]
X session errors caused by enabling SCIM

Description of problem:
After updating libgxim to release 0.3.2-4.fc10, xterm shows some regression: when running a program with a noticeable amount of text output (e.g. 'ls -R /'), then imsettings-applet starts grabbing a significant amount of CPU share of up to 10%. Note that SCIM is disabled at this point.
After opening GNOME menu item "Input Method" and enabling SCIM which is disabled by default, xterm does not accept any input from the keyboard anymore unlike gnome-terminal which continues to do so.

Version-Release number of selected component (if applicable):
libgxim-0.3.2-4.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open GNOME session.
2. Start a program in an xterm window producing text output.
3. Run 'top' in a different window.
4. Open "Input Method" from GNOME menu and enable SCIM.
  
Actual results:
- Noticeable CPU load caused by imsettings-applet.
- Xterm unresponsive after enabling SCIM via "Input Method" dialog window.

Expected results:
Normal behaviour of xterm just as gnome-terminal.

Additional info:
Reverting libgxim to release 0.3.1-1.fc10 allows to restore normal operation.
Comment 1 Akira TAGOH 2009-03-05 21:12:32 EST
Changed a summary to keep CPU load issue only on track here. see Bug #488877 for no response issue.
Comment 2 Joachim Frieben 2009-03-18 07:36:38 EDT
No improvement after updating to imsettings-0.105.1-4.fc10.
Comment 3 Bug Zapper 2009-11-18 06:17:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Akira TAGOH 2009-11-24 00:47:58 EST
We don't use imsettings-applet by default since F-11. close this as UPSTREAM.